// Arquivo de exemplo: HashtableRemove.cs
// Para compilar utilize: csc HashtableRemove.cs
using System;
using System.Collections.Generic;

class HashtableRemove {
	public static void Main() {
		Dictionary<string, string> obj = new Dictionary<string, string>();
		obj.Add("A", "Alfredo");
		obj.Add("B", "Beatriz");
		obj.Add("C", "Cemilda");
		obj.Add("L", "Lotar");
		Console.Write("Existe a Chave B: ");
		Console.WriteLine(obj.ContainsKey("B"));
		Console.Write("Alguma chave tem a propriedade value definida como Beatriz: ");
		Console.WriteLine(obj.ContainsValue("Beatriz"));
		obj.Remove("A");
		Console.WriteLine("\nApós deletar a chave A:");

		foreach (KeyValuePair<string, string> enu in obj) {
			Console.WriteLine(enu.Key + ": " + enu.Value);			
		}
		Console.Read();
	}
}
